Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Certain custom Autolisp Routines quit working in AutoCAD 2025 error: no function definition: acet-ui-message

14 REPLIES 14
SOLVED
Reply
Message 1 of 15
Sean.Boseman
2445 Views, 14 Replies

Certain custom Autolisp Routines quit working in AutoCAD 2025 error: no function definition: acet-ui-message

Hello, I've been using a couple custom lisp routines for several years now that appear to not work in AutoCAD 2025, yet they've worked in all previous versions. I have both 2024 and 2025 installed and the routines still work perfectly on 2024, but in 2025 I receive the message "error: no function definition: acet-ui-message". Will ask you whether you want to plot to the printer and if so, ask how many copies and will proceed to print to our particular printer. If you say no, it will just change the current drawing's plot settings to our desired settings. Does anyone one know why all of a sudden the long used lisp routine stopped working for AutoCAD 2025? is this just a bug? See below copy of the program, I've also attached the file. I appreciate the help in advance.

 

(defun c:isg (/ a k qty)
(setq k (acet-ui-message "Do you really want to print a color copy to the ISG Printer?" "Print Confirmation:" 52))
(if (= k 6)
(progn
(setq qty nil)
(setq qty (getreal "\nEnter number of copies <1>:"))
(if (= qty nil) (setq qty 1))
(setvar "cmdecho" 0)
(setq a (getvar "tilemode"))
(while (/= qty 0)
(progn
(if (= a 0)
(command "-plot" "y" "" "\\\\print\\SALES_KM_C558" "11x17" "inches" "landscape" "no" "extents" "fit" "center" "no" "" "yes" "no" "no" "no" "no" "yes" "yes")
(command "-plot" "y" "" "\\\\print\\SALES_KM_C558" "11x17" "inches" "landscape" "no" "extents" "fit" "center" "no" "" "yes" "as" "no" "yes" "yes")
)
(command)
(setq qty (- qty 1))
)
)
)
(progn
(setvar "cmdecho" 0)
(setq a (getvar "tilemode"))
(if (= a 0)
(command "-plot" "y" "" "\\\\print\\SALES_KM_C558" "11x17" "inches" "landscape" "no" "extents" "fit" "center" "no" "" "yes" "no" "no" "no" "no" "yes" "no")
(command "-plot" "y" "" "\\\\print\\SALES_KM_C558" "11x17" "inches" "landscape" "no" "extents" "fit" "center" "no" "" "yes" "as" "no" "yes" "no")
)
(command)
)
)
(princ)
)

14 REPLIES 14
Message 2 of 15
CLL_PBE
in reply to: Sean.Boseman

acet-ui-message is an Express Tools function that displays a message box.

Perhaps check if you have Express Tool installed for 2025?

 

 

 

 

Message 3 of 15
Sean.Boseman
in reply to: CLL_PBE

Express Tool does appear to be installed for 2025.

Message 4 of 15
pendean
in reply to: Sean.Boseman


@Sean.Boseman wrote:

Express Tool does appear to be installed for 2025.


try running a couple of Express tools (start to finish), if they work fine, try your LISP again.

Message 5 of 15
Sean.Boseman
in reply to: pendean

Wow, that seems to work! Any idea why I have to run an express tool for the routine to work? I've never had that happen before in subsequent AutoCAD versions. Is this some sort of glitch with 2025?

Message 6 of 15
pendean
in reply to: Sean.Boseman


@Sean.Boseman wrote:

Wow, that seems to work!...


pendean_0-1714741460497.png

 

Message 7 of 15
Sean.Boseman
in reply to: pendean

The value appeared to be already set to 3.

Message 8 of 15
komondormrex
in reply to: Sean.Boseman


Is this some sort of glitch with 2025?

it seems so. add this expression (load "acetutil") at the beginning of your code.

Message 9 of 15
Sean.Boseman
in reply to: Sean.Boseman

excellent, that worked! Thank you!

Message 10 of 15
ВeekeeCZ
in reply to: Sean.Boseman

AutoCAD 2025 does not preload express tools automatically anymore. They wanted to speed up the application startup. So now there is a new function. It works similarly to vl-load-com.

 

(acet-load-expresstools)

 

See HELP 

Message 11 of 15
1wildwes
in reply to: komondormrex

I've tried inserting that expression before and after the (DEFUN C:XD (/ bl blst ent ans).  There are indentions shown in the attached. Are you able to tell me exactly where to insert the expression? Thanks!

 

(load "acetutil")
(DEFUN C:XD (/ bl blst ent ans)
(setq bl (entsel))
(setq blst (entget (car bl)))
(setq ent (cdr (assoc 0 blst)))
(if (= ent "INSERT")
(progn
(setq xname (cdr (assoc 2 blst)))
(CHKREF)
(if (= check_val 1)

Tags (1)
Message 12 of 15
1wildwes
in reply to: 1wildwes

Full lsp attached

Message 13 of 15
pendean
in reply to: 1wildwes


@1wildwes wrote:

Full lsp attached


Use the other tip

pendean_0-1717091340520.png

 

pendean_1-1717091384547.png

 

Seems to work here.

 

Message 14 of 15
komondormrex
in reply to: 1wildwes

you can put it any place outside any function. but very top is likely to be the best place.

thou did not find any et function in your code.

 

 

Message 15 of 15
rgrainer
in reply to: komondormrex

first line after defun

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

AutoCAD Inside the Factory


Autodesk Design & Make Report